import Vue, { VNode } from 'vue';
declare class Carousel extends Vue {
    name: string;
    decorated: boolean;
    hideArrows: boolean;
    hideNavigation: boolean;
    disabledScrolling: boolean;
    autoScrolling: boolean;
    showTipsNext: boolean;
    duration: number;
    offsetTop: number;
    offsetBottom: number;
    navsPosStart: number;
    navsPosEnd: number;
    slidesClasses: string;
    transitionFunction: string;
    isAnimating: boolean;
    isFinalSlide: boolean;
    isPending: boolean;
    isTouch: boolean;
    isInnerBlock: boolean;
    innerBlockOffset: any;
    hSpace: number;
    movesArr: any;
    toggleSlidesTimer: any;
    scrollingTimer: any;
    canAdvanceForward: boolean;
    canAdvanceBackward: boolean;
    scrollingAutoEnd: boolean;
    swipingStartPoint: null | number;
    readonly overlayEl: HTMLElement;
    readonly slidedEl: HTMLElement;
    readonly slides: any[];
    mounted(): void;
    destroyed(): void;
    /**
     * Простая навигация зоны просмотра по слайдам
     */
    advancePage(direction: null | string): void;
    autoScroller(delay?: number): void;
    autoScrollerRemove(): void;
    /**
     * Оптимизирует навигацию по слайдам, собирая диапозоны широт в виде массива
     */
    createMoves(): void;
    getNearbySlide(to?: number): null | number;
    move(to?: number): Promise<unknown>;
    scrollNative(e: Event): void;
    toggleSlides(): void;
    render(): VNode;
}
declare const _default: {
    component: typeof Carousel;
    name: string;
};
export default _default;
//# sourceMappingURL=Carousel.d.ts.map